Package: groovy.util

## [Java] Class ObservableList.ObservableIterator

- groovy.util.ObservableList.ObservableIterator

- All Implemented Interfaces and Traits:
    Iterator

      protected class ObservableList.ObservableIterator
      extends Object
      implements Iterator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int` | `cursor` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableIterator(Iterator iterDelegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Iterator` | `getDelegate()`
    `` | `public boolean` | `hasNext()`
    `` | `public Object` | `next()`
    `` | `public void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected int cursor

  - ### Constructor Detail

    - #### public ObservableIterator(Iterator iterDelegate)

  - ### Method Detail

    - #### public Iterator getDelegate()

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public Object next()

    - #### @Override
      public void remove()